
Redmine - Patch #1305

pt-br language minor changes and missing strings

2008-05-26 19:50 - Simpsom Boy

Status: Closed Start date: 2008-05-26

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Translations Estimated time: 0.00 hour

Target version:    

Description

Since my last patch, I found some missing strings and changed some words for better adherence with Brazilian language

and fixed some typos.

the patch aplies to r1461 (trunk) and could also be merged in 0.7-stable branch

History

#1 - 2008-05-26 23:52 - F. D. Castel

Alexandre,

Please review the latest file attached to #1153. It contains a pt-br translation with extensive reviews and fixes.

To Jean-Paul: How about commit it? :)

Regards,

F.D.Castel

#2 - 2008-05-27 00:00 - F. D. Castel

Err... I mean, "Jean-Philippe" :)

#3 - 2008-05-27 04:41 - Simpsom Boy

- File patch_merged_from_p1305.diff added

- File pt-br.yml added

huh, there was some text better translated, so I merged that file and my into a new file, and created a new patch.

attached a patch to r1464 (trunk) and the patched file for who interest

#4 - 2008-05-27 04:58 - Simpsom Boy

wooww, don't apply the patch. for some reason the server isn't starting after the patch here :(

some text breaked the server, I will review than send a new one

#5 - 2008-05-27 05:12 - Simpsom Boy

- File pt-br.yml added

- File patch_merged_fixed.diff added

Im sorry

Now the correct version....  ;)

my current file merged with last #1153 attached file.

#6 - 2008-05-30 09:37 - F. D. Castel

Sorry, Alexandre, but your new version has several drawbacks when compared with the one at #1153.

- "Ticket" isn't a portuguese word, neither is an adequated word for a Issue/Case

- Nobody would use the literal translation 'Papeis' to the meaning of "Roles"

- Missing diacriticals and typo errors

- Incomplete day names ("Segunda" instead of "Segunda-feira")

- Several other changes that doesn't bring any benefits ("cerca" to "aproximadamente", "incluído" to "incluso", "criacao" to "criado", "cadastrado" to
"registrado", etc.).

If you want to improve the translation, please use the one at #1153 as base and make your changes from it. But, please, don't rewrite everything from

scratch.

And when you think you have a better suggestion, please think if this would bring a real benefit and isn't a simply 'change for the sake of change'. I've

put 10~12 hours in this translation and try to stay with standards from known sites as Google, Yahoo, etc.

Please don't misunderstand me: I'm not saying my work is perfect, nor without errors (I found another missing diacritical in one "UsuÁrio" when

comparing with your version), but please take a time to compare (and study) your final version with mine and see the differences. The devil is in

details, you know.

Best regards!

Fabio.

#7 - 2008-05-30 15:15 - Simpsom Boy

I made almost all the changes before find #1153, after I merged the both versions.

I am supposing you are a Brazilian person.

I think we just have different view and different use for the same software, so, in my case:

- "Ticket" isn't a portuguese word, neither is an adequated word for a Issue/Case

yes it's not and "Caso" isn't the best word too, in this case maybe Ticket would be better for

people using computers, as "Enter", "Delete", "Shift", "Control (CTRL)" are not Portuguese words

but everyone knows the meaning.

I suggest we can choose another one, neither "Ticket" nor "Caso" are the best, but I personally choose Ticket

- Nobody would use the literal translation 'Papeis' to the meaning of "Roles"

Nobody use not mean it is incorrect, I think is the best, the word "Papel" means here "acts as",

but "Grupo de acesso" is also a good choice. []

- Missing diacriticals and typo errors

here we are spending time to correct, errors, so you could, when found one, report, make a patch

that fixes and send back to project to improve it.

- Incomplete day names ("Segunda" instead of "Segunda-feira")

well, this doesn't make any difference in Brazil. Everyone knows "Segunda-feira" = "Segunda", and almost people

use just the simplified "Segunda". I used it just to "save letters". in an 800x600 display it can make some difference.

but for me, both complete or simplified are good.

- Several other changes that doesn't bring any benefits ("cerca" to "aproximadamente", "incluído" to "incluso", "criacao" to "criado", "cadastrado" to

"registrado", etc.).

- "aproximadamente", in Portuguese is a better translation. but "cerca" save chars, how about an abbreviated "aprox:" everyone knows what it mean.

- "Incluído" does not make any difference with "Incluso", the second just save a non-asci chacacter

- "Criação" is the same case of "Incluído", your word "Criado" in this case seems to be the best choice

- "registrado", again just a preference, "cadastrado" fits better in a form where you enter data about a product, to me "registrado" is the best choice to

an user registration process.

If you want to improve the translation, please use the one at #1153 as base and make your changes from it. But, please, don't >rewrite

everything from scratch.

 as I already said, I translated first from the previous pt-br file, and after than I found the file at #1153 and merged it.

And when you think you have a better suggestion, please think if this would bring a real benefit and isn't a simply 'change for the >sake of

change'.

 I'm changing nothing without good reasons, all changes I made were to get the best translation for any user, I'm also not Perfect.

I've put 10~12 hours in this translation and try to stay with standards from known sites as Google, Yahoo, etc.

 well, I put some time to translate it too.

I not clicked in a button and changes were made automatically.

Please don't misunderstand me: I'm not saying my work is perfect, nor without errors

(I found another missing diacritical in one > "UsuÁrio" when comparing with your version), but please take a

time to compare (and study) your final version with mine and see the differences. The devil is in details, you know.

 Really not, we are here to improve the translation not to "fight like dogs",
the greater difference was that when I got your file, I get mine, and one to one string, change what made more sense, probably

if I had your file in right side, the final version would be different.

I am awaiting your comments.

Best Regards

Alexandre

#8 - 2008-06-01 03:21 - F. D. Castel

I made almost all the changes before find #1153, after I merged the both versions.

 But slipped a lot of things...

I am supposing you are a Brazilian person.

You bet. :)

Ticket would be better for people using computers

 My grandmother also use a computer...

I suppose you mean "technical people". And I agree with you.

But I tried to keep it the less technical possible.

I suggest we can choose another one, neither "Ticket" nor "Caso"

are the best, but I personally choose Ticket

 Here in our company, we use "Caso a resolver", "Caso pendente", etc.

Both works, It's a matter of personal choice.

I think is the best, the word "Papel" means here "acts as",

 Yes. WE understand what a role is. But, as I said, I was trying to avoid "technicalities".

- Missing diacriticals and typo errors

here we are spending time to correct, errors, so you could,

when found one, report, make a patch

that fixes and send back to project to improve it.

 Sorry... But I already did this.

Now, if YOU send a new proposal, the MINIMAL you should do would be compare your revision with the old one before send, to avoid throw the other

people's work away. I cannot review your entire translation after put so much work on the first one. Because of this, I'm asking to base your work on

mine. Not on the commited version.

well, this doesn't make any difference in Brazil. Everyone knows

"Segunda-feira" = "Segunda", and almost people use just the simplified "Segunda".

 Do you know the difference between "formal" and "coloquial"?

It's a matter of being formal, here. I would not write "Segunda" in a letter.

as I already said, I translated first from the previous pt-br file,

and after than I found the file at #1153 and merged it.

 Yes. It's a pity that Jean-Philippe didn't commit it and you had a lot of work. But, as I said, please compare your with MY revision. Your 'merge'

contain several errors that my translation fixes (and, as I said, I cannot review one by one again)

I'm changing nothing without good reasons,

 YOUR good reasons... Think about it.

To finish: I didn't bother if you choose 'incluído' or 'incluso', 'Segunda-feira' or 'Segunda' (to save chars). But, please, at least don't revert to old errors

2025-05-17 3/4

https://www.redmine.org/issues/1153
https://www.redmine.org/issues/1153


I already fixed.

Until you send a better translation I cannot recommend your (current) version over mine.

Regards,

Fabio.

#9 - 2008-06-07 11:30 - Jean-Philippe Lang

- Status changed from New to Closed

- Target version deleted (0.7.2)

I don't speak a word of Brazilian so I can't tell which is the "best" translation.

But I agree with Fabio, don't revert previous changes unless you've got a reason to do so. You can discuss about it in the forums before submitting

such changes.

Files

patch_pt-br.diff 3.37 KB 2008-05-26 Simpsom Boy

patch_merged_from_p1305.diff 28.1 KB 2008-05-27 Simpsom Boy

pt-br.yml 25 KB 2008-05-27 Simpsom Boy

pt-br.yml 25 KB 2008-05-27 Simpsom Boy

patch_merged_fixed.diff 28.1 KB 2008-05-27 Simpsom Boy
